Skip to main content
PUT
/
api2
/
v1
/
netRateSchemes
/
{netRateSchemeUid}
Edit net rate scheme
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/netRateSchemes/{netRateSchemeUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "rates": {
    "repetition": 123,
    "tm101": 123,
    "tm100": 123,
    "tm95": 123,
    "tm85": 123,
    "tm75": 123,
    "tm50": 123,
    "tm0": 123,
    "mt100": 123,
    "mt95": 123,
    "mt85": 123,
    "mt75": 123,
    "mt50": 123,
    "mt0": 123,
    "nt100": 123,
    "nt99": 123,
    "nt85": 123,
    "nt75": 123,
    "nt50": 123,
    "nt0": 123,
    "if100": 123,
    "if95": 123,
    "if85": 123,
    "if75": 123,
    "if50": 123,
    "if0": 123
  },
  "defaultScheme": true
}
'
{
  "id": "<string>",
  "uid": "<string>",
  "name": "<string>",
  "defaultScheme": true,
  "organization": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "workflowStepNetSchemes": [
    {
      "id": "<string>",
      "workflowStep": {
        "name": "<string>",
        "id": "<string>",
        "uid": "<string>",
        "order": 123,
        "lqaEnabled": true
      }
    }
  ],
  "rates": {
    "repetition": 123,
    "tm101": 123,
    "tm100": 123,
    "tm95": 123,
    "tm85": 123,
    "tm75": 123,
    "tm50": 123,
    "tm0": 123,
    "mt100": 123,
    "mt95": 123,
    "mt85": 123,
    "mt75": 123,
    "mt50": 123,
    "mt0": 123,
    "nt100": 123,
    "nt99": 123,
    "nt85": 123,
    "nt75": 123,
    "nt50": 123,
    "nt0": 123,
    "if100": 123,
    "if95": 123,
    "if85": 123,
    "if75": 123,
    "if50": 123,
    "if0": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

netRateSchemeUid
string
required

Body

application/json
name
string
required
Required string length: 1 - 255
rates
object
defaultScheme
boolean

Response

successful operation

id
string
uid
string
name
string
defaultScheme
boolean
organization
object
dateCreated
string<date-time>
createdBy
object
workflowStepNetSchemes
object[]
rates
object